Page MenuHome

FIX Windows stuck in touch mode on some pen displays
ClosedPublic

Authored by Colby Klein (shakesoda) on Aug 1 2018, 2:37 PM.

Details

Summary

On some tablets, WinTab doesn't seem to behave properly unless you reactivate the context on WM_ACTIVATE, and initialize context disabled (enable after open instead). Tested good with my Monoprice MP22 (Parblo Coast22) on Windows 10. Doesn't seem to affect Wacom. Formerly marked for T55589, but testing shows this is a separate fix.

Diff Detail

Repository
rB Blender

Event Timeline

I'm going to prepare a test in Surface of the patch.

Colby Klein (shakesoda) retitled this revision from FIX T55589 to FIX Windows stuck in touch mode on some pen displays.Aug 6 2018, 1:29 PM
Colby Klein (shakesoda) edited the summary of this revision. (Show Details)
Brecht Van Lommel (brecht) requested changes to this revision.Aug 8 2018, 6:57 PM

Reading the spec and the code, it looks correct to me. My only concern is that in other places we use wintab functions we always check if they aren't NULL, we could do the same here just to be entirely sure.

@Antonio Vazquez (antoniov), in your tests, did it break anything? If not seems like we should just commit this even if it doesn't solve the surface issue.

This revision now requires changes to proceed.Aug 8 2018, 6:57 PM

we need ask to @Daniel Martinez Lara (pepeland) . Daniel, the test you did in surface did break anything in wacom or other windows computers?

@Brecht Van Lommel (brecht) thanks for reviewing, fixed missing NULL checks.

Accepting the code, we can commit if the tests go well.

This revision is now accepted and ready to land.Aug 8 2018, 8:29 PM

we need ask to @Daniel Martinez Lara (pepeland) . Daniel, the test you did in surface did break anything in wacom or other windows computers?

In my test the wacom still working properly in my surface pro 2

been a while since tested good and no reports of issues, can this be merged?

This revision was automatically updated to reflect the committed changes.